starknet_estimateFee

Estimates the resources required by a given sequence of transactions when applied on a given state. If one of the transactions reverts or fails due to any reason (e.g. validation failure or an internal error), a TRANSACTION_EXECUTION_ERROR is returned. The estimate is given in fri.

Path Params
string
required
Defaults to public

For higher throughput, please create your own API key.

Body Params
integer
Defaults to 1
string
Defaults to 2.0
string
Defaults to starknet_estimateFee
params
array
length between 3 and 3
Defaults to [object Object],SKIP_VALIDATE,[object Object]
params
string
required

A field element. represented by at most 63 hex digits

resource_bounds
object
required

resource bounds for the transaction execution

string
required

The tip for the transaction

paymaster_data
array of strings
required

data needed to allow the paymaster to pay for the transaction in native tokens

Paymaster data*
account_deployment_data
array of strings
required

data needed to deploy the account contract from which this tx will be initiated

Account deployment data*
string
enum
required

The storage domain of the account's nonce (an account has a nonce per DA mode)

Allowed:
string
enum
required

The storage domain of the account's balance from which fee will be charged

Allowed:
Response

Language
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json